Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23676

Description

In a QGIS project with several layers from a single geopackage database, the following problem frequently occurs:

Switch layer to editing mode, do geometry edits, save edits, deactivate layer editing mode.

Switch second layer to editing mode, do geometry edits, try to save edits -> Database provider errors (OGR) e.g. "failed to execute insert:

database is locked".

After closing QGIS and reopening the same project, the second layer can be edited and the edits are successfully saved, but the problem

occurs again when another layer from the same geopackage is edited.

Maybe this problem is related to the one in #15351.

History

#1 - 2016-12-21 09:39 AM - Even Rouault

- File test.gpkg added

I tried with master on Linux with the attached DB and couldn't reproduce the issue (I'm attaching the simple DB I used for reference). Normally locking

issues should have been fixed in 2.18.0 per #0497e4a454c7ad689a0fc7b767208f95d53266b0. Can you have provide a reproducable procedure + test DB

?

#2 - 2016-12-22 06:27 AM - Jochen Huber

I tried again with the sample DB you supplied and still experienced the same problem. Open QGIS, create a new project, add all layers from the DB, edit

the geometry of one layer and save, edit the geometry of the second layer -> saving fails.

A test with the DB located on a local drive did NOT show the problem, prompting further investigation:

    -  Network share on Windows Server 2008 R2 Standard, Access via domain-integrated DFS (Distributed File System): Problem occurs

    -  Network share on Windows Server 2008 R2 Standard, direct access to server: Works fine

    -  Network share on Windows Server 2012 R2 Standard (direct access), Windows 7 Professional SP 1, QNAP NAS or Western Digital MyBook Live:

Works fine

So this seems to be a problem which only occurs when accessing a network share via DFS (which is the standard case in our company). Interestingly,

there is no problem with Spatialite DBs, so there seems to be a difference in how QGIS accesses Geopackage DBs vs. Spatialite DBs.

#3 - 2017-02-06 06:15 AM - Jérôme Guélat

We are also experiencing this problem with QGIS 2.18.3 (OGR/GDAL 2.1.3) on Windows.

#4 - 2017-02-07 07:15 AM - Ger CO
Same here on Win 7 and qgis 2.18.3

#5 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#6 - 2017-11-10 11:49 PM - Even Rouault

- Description updated

- Status changed from Open to Feedback

Can anyone retry with QGIS master ? Changes done in commit:8f3d44d4e9321efc035a6080b161f5dd48d4f230 should likely fix that

#7 - 2017-11-21 12:20 PM - Jochen Huber

I tried with QGIS master (2.99.0, code version af5b2a750a) and also on 2.18.14. I didn't experience the problem any more on both versions (not only on

master).

#8 - 2017-11-21 01:30 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Files

test.gpkg 65 KB 2016-12-21 Even Rouault
